commit:     42b0bf84a631112555e09d3791d8c53e9e590ed5
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 28 18:34:49 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Oct 28 18:47:47 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=42b0bf84

dev-libs/xapian: drop multilib

No multilib reverse dependencies.

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/xapian/xapian-1.4.21-r1.ebuild | 60 +++++++++++++++++++++++++++++++++
 1 file changed, 60 insertions(+)

diff --git a/dev-libs/xapian/xapian-1.4.21-r1.ebuild 
b/dev-libs/xapian/xapian-1.4.21-r1.ebuild
new file mode 100644
index 000000000000..fea1a23cc14a
--- /dev/null
+++ b/dev-libs/xapian/xapian-1.4.21-r1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+MY_P="${PN}-core-${PV}"
+
+DESCRIPTION="Xapian Probabilistic Information Retrieval library"
+HOMEPAGE="https://www.xapian.org/";
+SRC_URI="https://oligarchy.co.uk/xapian/${PV}/${MY_P}.tar.xz";
+
+LICENSE="GPL-2"
+SLOT="0/30" # ABI version of libxapian.so
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~x64-macos ~x64-solaris"
+IUSE="doc static-libs cpu_flags_x86_sse cpu_flags_x86_sse2 +inmemory +remote"
+
+DEPEND="sys-apps/util-linux
+       sys-libs/zlib"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+src_configure() {
+       local myconf=""
+
+       if use cpu_flags_x86_sse2; then
+               myconf="${myconf} --enable-sse=sse2"
+       else
+               if use cpu_flags_x86_sse; then
+                       myconf="${myconf} --enable-sse=sse"
+               else
+                       myconf="${myconf} --disable-sse"
+               fi
+       fi
+
+       myconf="${myconf} $(use_enable static-libs static)"
+
+       use inmemory || myconf="${myconf} --disable-backend-inmemory"
+       use remote || myconf="${myconf} --disable-backend-remote"
+
+       myconf="${myconf} --enable-backend-glass --enable-backend-chert 
--program-suffix="
+
+       econf ${myconf}
+}
+
+src_test() {
+       emake check VALGRIND=
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+
+       if use doc; then
+               rm -rf "${ED}/usr/share/doc/xapian-core-${PV}" || die
+       fi
+
+       dodoc AUTHORS HACKING PLATFORMS README NEWS
+
+       find "${ED}" -name "*.la" -type f -delete || die
+}

Reply via email to